import { Constructable } from './constructable.type';
import CtorEnsureArgError from './ctor-ensure-arg-error.interface';
/**
 * Thrown when a constructor didn't pass validation
 */
export interface CtorEnsureException {
    displayName: string;
    clazz: Constructable;
    errors: CtorEnsureArgError[];
}
export declare class CtorEnsureException extends Error {
    clazz: Constructable;
    errors: CtorEnsureArgError[];
    static message: string;
    displayName: string;
    constructor(clazz: Constructable, errors: CtorEnsureArgError[]);
}
//# sourceMappingURL=ctor-ensure.exception.d.ts.map