import { ValidationConfig } from '../../validation-config.interface';
/**
 * Find all string values of a provided enum and make them regex safe
 * @param values Enum type
 * @returns All string values of this enum, escaped
 */
export declare const enumValues: (values: {
    [key: string]: any;
}) => string[];
/**
 * Find all number keys of a provided enum
 * @param values Enum type
 * @returns All number keys of this enum
 */
export declare const enumKeys: (values: {
    [key: string]: any;
}) => number[];
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a member of an enum
 * @param values Enum to be checked against
 * @param disallow Whether or not to disallow these values (blocklist)
 * @param useKeys If true, the enum keys (numeric) will be used, otherwise it'll be the string values
 */
export declare const ENSURE_ENUM: (values: {
    [key: string]: string | number;
}, disallow?: boolean, useKeys?: boolean) => ValidationConfig;
//# sourceMappingURL=enum.validation-ensure.d.ts.map