"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ENSURE_FLOAT = exports.isFloat = void 0;
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Check if the provided value is a valid float
 * @param value Value to check
 * @returns True if is a float, false otherwise
 */
var isFloat = function (value) {
    // No number
    if (typeof value !== 'number' || Number.isNaN(value))
        return false;
    var parsed = Number.parseFloat(String(value));
    // Make sure it's a float and no int
    return !Number.isNaN(parsed) && parsed === value;
};
exports.isFloat = isFloat;
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a number of type float
 */
var ENSURE_FLOAT = function () { return ({
    description: (0, description_template_factory_1.template)('ENSURE_FLOAT'),
    process: function (value) { return ({
        error: !(0, exports.isFloat)(value),
        value: value,
    }); },
}); };
exports.ENSURE_FLOAT = ENSURE_FLOAT;
//# sourceMappingURL=float.validation-ensure.js.map