"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ENSURE_INT = exports.isInt = void 0;
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Check if the provided value is a valid integer
 * @param value Value to check
 * @returns True if is an integer, false otherwise
 */
var isInt = function (value) {
    // No number
    if (typeof value !== 'number' || Number.isNaN(value))
        return false;
    // Make sure it's an int and no float
    var parsed = Number.parseInt(String(value), 10);
    return !Number.isNaN(parsed) && parsed === value;
};
exports.isInt = isInt;
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a number of type integer
 */
var ENSURE_INT = function () { return ({
    description: (0, description_template_factory_1.template)('ENSURE_INT'),
    process: function (value) { return ({
        error: !(0, exports.isInt)(value),
        value: value,
    }); },
}); };
exports.ENSURE_INT = ENSURE_INT;
//# sourceMappingURL=int.validation-ensure.js.map