"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __1 = require("../..");
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this number is within a specified range, if it's a number
 * @param min Mininum value (including)
 * @param max Maximum value (including)
 */
var ENSURE_MINMAXNUMBER = function (min, max) {
    if (min === null && max === null)
        throw new SyntaxError('Define at least min or max!');
    if ((min || 0) > (max || 0) && max !== null)
        throw new SyntaxError('Max cannot be less than min!');
    return {
        description: (0, description_template_factory_1.template)('ENSURE_MINMAXNUMBER', {
            min: min,
            max: max,
            hasMin: min !== null,
            hasMax: max !== null,
            hasBoth: min !== null && max !== null,
        }),
        process: function (value) { return ({
            error: (
            // Is not a number
            !((0, __1.isInt)(value) || (0, __1.isFloat)(value)) ||
                // And not within specified range
                ((max !== null && value > max) ||
                    (min !== null && value < min))),
            value: value,
        }); },
    };
};
exports.default = ENSURE_MINMAXNUMBER;
//# sourceMappingURL=minmaxnumber.validation-ensure.js.map