"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is alphanumeric
 * @param allowSpaces Whether or not to allow spaces
 */
var ENSURE_ALPHANUM = function (allowSpaces) {
    if (allowSpaces === void 0) { allowSpaces = true; }
    var pattern = allowSpaces ? /^[A-Za-z0-9 ]*$/ : /^[A-Za-z0-9]*$/;
    return {
        description: (0, description_template_factory_1.template)('ENSURE_ALPHANUM', {
            nospaces: !allowSpaces,
        }),
        process: function (value) { return ({
            error: !pattern.test(value),
            value: value,
        }); },
    };
};
exports.default = ENSURE_ALPHANUM;
//# sourceMappingURL=alphanum.validation-ensure.js.map