"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
var util_1 = require("../../util");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field contains the provided string
 * @param string String that has to be contained inside field
 * @param allow True if the string should contain, false if it shouldn't
 */
var ENSURE_CONTAINS = function (string, allow) {
    if (allow === void 0) { allow = true; }
    var pattern = new RegExp("(" + (0, util_1.escapeRegExp)(string) + ")");
    return {
        description: (0, description_template_factory_1.template)('ENSURE_CONTAINS', {
            str: string,
            allow: allow,
        }),
        process: function (value) { return ({
            error: !(pattern.test(value) === allow),
            value: value,
        }); },
    };
};
exports.default = ENSURE_CONTAINS;
//# sourceMappingURL=contains.validation-ensure.js.map