"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is not empty
 */
var ENSURE_NONEMPTY = function () {
    var pattern = /.+/;
    return {
        description: (0, description_template_factory_1.template)('ENSURE_NONEMPTY'),
        process: function (value) { return ({
            error: !pattern.test(value),
            value: value,
        }); },
    };
};
exports.default = ENSURE_NONEMPTY;
//# sourceMappingURL=nonempty.validation-ensure.js.map