"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field contains no spaces
 */
var ENSURE_NOSPACES = function () {
    var pattern = /^[^ ]*$/;
    return {
        description: (0, description_template_factory_1.template)('ENSURE_NOSPACES'),
        process: function (value) { return ({
            error: !pattern.test(value),
            value: value,
        }); },
    };
};
exports.default = ENSURE_NOSPACES;
//# sourceMappingURL=nospaces.validator-ensure.js.map