"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field tests positively against the provided pattern
 * @param pattern Regular expression to use
 * @param description Description of that pattern
 */
var ENSURE_PATTERN = function (pattern, description) { return ({
    description: description,
    process: function (value) { return ({
        error: !pattern.test(value),
        value: value,
    }); },
}); };
exports.default = ENSURE_PATTERN;
//# sourceMappingURL=pattern.validation-ensure.js.map