"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a valid date string
 */
var ENSURE_STRDATE = function () {
    var pattern = /^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\d(\.\d+)?(([+-]\d\d:\d\d)|Z)?$/i;
    return {
        description: (0, description_template_factory_1.template)('ENSURE_STRDATE'),
        process: function (value) { return ({
            error: !pattern.test(value),
            value: value,
        }); },
    };
};
exports.default = ENSURE_STRDATE;
//# sourceMappingURL=strdate.validation-ensure.js.map