"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a string representing a float
 */
var ENSURE_STRFLOAT = function () {
    var pattern = /^[0-9]+\.[0-9]+$/;
    return {
        description: (0, description_template_factory_1.template)('ENSURE_STRFLOAT'),
        process: function (value) { return ({
            error: !(typeof value === 'string' && pattern.test(value)),
            value: value,
        }); },
    };
};
exports.default = ENSURE_STRFLOAT;
//# sourceMappingURL=strfloat.validation-ensure.js.map