"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_template_factory_1 = require("../../description-template.factory");
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a valid uuid
 */
var ENSURE_STRUUID = function () {
    var pattern = /^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;
    return {
        description: (0, description_template_factory_1.template)('ENSURE_STRUUID'),
        process: function (value) { return ({
            error: typeof value !== 'string' || !pattern.test(value),
            value: value,
        }); },
    };
};
exports.default = ENSURE_STRUUID;
//# sourceMappingURL=struuid.validation-ensure.js.map