"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateCtor = exports.evalStrThunk = exports.pluralize = exports.strOpt = exports.template = exports.getRegisteredTemplateFunctions = exports.registerTemplateFunction = exports.META_KEY_DISPLAYNAME = exports.META_KEY_VALIDATION = exports.CtorEnsureException = exports.CtorEnsure = exports.ValidatedArg = exports.ENSURE_MINNUMBER = exports.ENSURE_MAXNUMBER = exports.ENSURE_MINMAXNUMBER = exports.ENSURE_MAXDATE = exports.ENSURE_MINDATE = exports.ENSURE_MINMAXDATE = exports.ENSURE_ISDATE = exports.ENSURE_ARRAYSIZEMAX = exports.ENSURE_ARRAYSIZEMIN = exports.ENSURE_ARRAYSIZE = exports.ENSURE_ISARRAY = exports.Encoding = exports.ENSURE_BASEENCODED = exports.ENSURE_BOOLEAN = exports.ENSURE_ALPHA = exports.ENSURE_ASCII = exports.ENSURE_NOSPACES = exports.ENSURE_CONTAINS = exports.ENSURE_ENUM = exports.ENSURE_STRUUID = exports.ENSURE_STRINT = exports.ENSURE_STRFLOAT = exports.ENSURE_STRDATE = exports.ENSURE_PATTERN = exports.ENSURE_NONNULL = exports.ENSURE_NONEMPTY = exports.ENSURE_MINMAXLEN = exports.ENSURE_MINLEN = exports.ENSURE_MAXLEN = exports.isInt = exports.ENSURE_INT = exports.isFloat = exports.ENSURE_FLOAT = exports.ENSURE_EXISTING = exports.ENSURE_EQUALSFIELD = exports.ENSURE_EMAIL = exports.ENSURE_ALPHANUM = void 0;
var tslib_1 = require("tslib");
var dotenv_1 = (0, tslib_1.__importDefault)(require("dotenv"));
require("reflect-metadata");
// Load dotenv
dotenv_1.default.config();
// Predefined ensures
var alphanum_validation_ensure_1 = require("./ensure/strings/alphanum.validation-ensure");
Object.defineProperty(exports, "ENSURE_ALPHANUM", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(alphanum_validation_ensure_1).default; } });
var email_validation_ensure_1 = require("./ensure/strings/email.validation-ensure");
Object.defineProperty(exports, "ENSURE_EMAIL", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(email_validation_ensure_1).default; } });
var equalsfield_validation_ensure_1 = require("./ensure/miscellaneous/equalsfield.validation-ensure");
Object.defineProperty(exports, "ENSURE_EQUALSFIELD", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(equalsfield_validation_ensure_1).default; } });
var existing_validation_ensure_1 = require("./ensure/datatypes/existing.validation-ensure");
Object.defineProperty(exports, "ENSURE_EXISTING", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(existing_validation_ensure_1).default; } });
var float_validation_ensure_1 = require("./ensure/datatypes/float.validation-ensure");
Object.defineProperty(exports, "ENSURE_FLOAT", { enumerable: true, get: function () { return float_validation_ensure_1.ENSURE_FLOAT; } });
Object.defineProperty(exports, "isFloat", { enumerable: true, get: function () { return float_validation_ensure_1.isFloat; } });
var int_validation_ensure_1 = require("./ensure/datatypes/int.validation-ensure");
Object.defineProperty(exports, "ENSURE_INT", { enumerable: true, get: function () { return int_validation_ensure_1.ENSURE_INT; } });
Object.defineProperty(exports, "isInt", { enumerable: true, get: function () { return int_validation_ensure_1.isInt; } });
var maxlen_validation_ensure_1 = require("./ensure/ranges/maxlen.validation-ensure");
Object.defineProperty(exports, "ENSURE_MAXLEN", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(maxlen_validation_ensure_1).default; } });
var minlen_validation_ensure_1 = require("./ensure/ranges/minlen.validation-ensure");
Object.defineProperty(exports, "ENSURE_MINLEN", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(minlen_validation_ensure_1).default; } });
var minmaxlen_validation_ensure_1 = require("./ensure/ranges/minmaxlen.validation-ensure");
Object.defineProperty(exports, "ENSURE_MINMAXLEN", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(minmaxlen_validation_ensure_1).default; } });
var nonempty_validation_ensure_1 = require("./ensure/strings/nonempty.validation-ensure");
Object.defineProperty(exports, "ENSURE_NONEMPTY", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(nonempty_validation_ensure_1).default; } });
var nonnull_validation_ensure_1 = require("./ensure/datatypes/nonnull.validation-ensure");
Object.defineProperty(exports, "ENSURE_NONNULL", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(nonnull_validation_ensure_1).default; } });
var pattern_validation_ensure_1 = require("./ensure/strings/pattern.validation-ensure");
Object.defineProperty(exports, "ENSURE_PATTERN", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(pattern_validation_ensure_1).default; } });
var strdate_validation_ensure_1 = require("./ensure/strings/strdate.validation-ensure");
Object.defineProperty(exports, "ENSURE_STRDATE", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(strdate_validation_ensure_1).default; } });
var strfloat_validation_ensure_1 = require("./ensure/strings/strfloat.validation-ensure");
Object.defineProperty(exports, "ENSURE_STRFLOAT", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(strfloat_validation_ensure_1).default; } });
var strint_validation_ensure_1 = require("./ensure/strings/strint.validation-ensure");
Object.defineProperty(exports, "ENSURE_STRINT", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(strint_validation_ensure_1).default; } });
var struuid_validation_ensure_1 = require("./ensure/strings/struuid.validation-ensure");
Object.defineProperty(exports, "ENSURE_STRUUID", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(struuid_validation_ensure_1).default; } });
var enum_validation_ensure_1 = require("./ensure/datatypes/enum.validation-ensure");
Object.defineProperty(exports, "ENSURE_ENUM", { enumerable: true, get: function () { return enum_validation_ensure_1.ENSURE_ENUM; } });
var contains_validation_ensure_1 = require("./ensure/strings/contains.validation-ensure");
Object.defineProperty(exports, "ENSURE_CONTAINS", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(contains_validation_ensure_1).default; } });
var nospaces_validator_ensure_1 = require("./ensure/strings/nospaces.validator-ensure");
Object.defineProperty(exports, "ENSURE_NOSPACES", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(nospaces_validator_ensure_1).default; } });
var ascii_validation_ensure_1 = require("./ensure/strings/ascii.validation-ensure");
Object.defineProperty(exports, "ENSURE_ASCII", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(ascii_validation_ensure_1).default; } });
var alpha_validation_ensure_1 = require("./ensure/strings/alpha.validation-ensure");
Object.defineProperty(exports, "ENSURE_ALPHA", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(alpha_validation_ensure_1).default; } });
var boolean_validation_ensure_1 = require("./ensure/datatypes/boolean.validation-ensure");
Object.defineProperty(exports, "ENSURE_BOOLEAN", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(boolean_validation_ensure_1).default; } });
var baseencoded_validation_ensure_1 = require("./ensure/strings/baseencoded.validation-ensure");
Object.defineProperty(exports, "ENSURE_BASEENCODED", { enumerable: true, get: function () { return baseencoded_validation_ensure_1.ENSURE_BASEENCODED; } });
Object.defineProperty(exports, "Encoding", { enumerable: true, get: function () { return baseencoded_validation_ensure_1.Encoding; } });
var isarray_validation_ensure_1 = require("./ensure/datatypes/isarray.validation-ensure");
Object.defineProperty(exports, "ENSURE_ISARRAY", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(isarray_validation_ensure_1).default; } });
var arraysize_validation_ensure_1 = require("./ensure/ranges/arraysize.validation-ensure");
Object.defineProperty(exports, "ENSURE_ARRAYSIZE", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(arraysize_validation_ensure_1).default; } });
var arraysizemin_validation_ensure_1 = require("./ensure/ranges/arraysizemin.validation-ensure");
Object.defineProperty(exports, "ENSURE_ARRAYSIZEMIN", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(arraysizemin_validation_ensure_1).default; } });
var arraysizemax_validation_ensure_1 = require("./ensure/ranges/arraysizemax.validation-ensure");
Object.defineProperty(exports, "ENSURE_ARRAYSIZEMAX", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(arraysizemax_validation_ensure_1).default; } });
var isdate_validation_ensure_1 = require("./ensure/datatypes/isdate.validation-ensure");
Object.defineProperty(exports, "ENSURE_ISDATE", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(isdate_validation_ensure_1).default; } });
var minmaxdate_validation_ensure_1 = require("./ensure/ranges/minmaxdate.validation-ensure");
Object.defineProperty(exports, "ENSURE_MINMAXDATE", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(minmaxdate_validation_ensure_1).default; } });
var mindate_validation_ensure_1 = require("./ensure/ranges/mindate.validation-ensure");
Object.defineProperty(exports, "ENSURE_MINDATE", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(mindate_validation_ensure_1).default; } });
var maxdate_validation_ensure_1 = require("./ensure/ranges/maxdate.validation-ensure");
Object.defineProperty(exports, "ENSURE_MAXDATE", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(maxdate_validation_ensure_1).default; } });
var minmaxnumber_validation_ensure_1 = require("./ensure/ranges/minmaxnumber.validation-ensure");
Object.defineProperty(exports, "ENSURE_MINMAXNUMBER", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(minmaxnumber_validation_ensure_1).default; } });
var maxnumber_validation_ensure_1 = require("./ensure/ranges/maxnumber.validation-ensure");
Object.defineProperty(exports, "ENSURE_MAXNUMBER", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(maxnumber_validation_ensure_1).default; } });
var minnumber_validation_ensure_1 = require("./ensure/ranges/minnumber.validation-ensure");
Object.defineProperty(exports, "ENSURE_MINNUMBER", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(minnumber_validation_ensure_1).default; } });
// Decorators
var validated_arg_decorator_1 = require("./validated-arg.decorator");
Object.defineProperty(exports, "ValidatedArg", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(validated_arg_decorator_1).default; } });
var ctor_ensure_decorator_1 = require("./ctor-ensure.decorator");
Object.defineProperty(exports, "CtorEnsure", { enumerable: true, get: function () { return ctor_ensure_decorator_1.CtorEnsure; } });
var ctor_ensure_exception_1 = require("./ctor-ensure.exception");
Object.defineProperty(exports, "CtorEnsureException", { enumerable: true, get: function () { return ctor_ensure_exception_1.CtorEnsureException; } });
// Misc
var ctor_ensure_decorator_2 = require("./ctor-ensure.decorator");
Object.defineProperty(exports, "META_KEY_VALIDATION", { enumerable: true, get: function () { return ctor_ensure_decorator_2.META_KEY_VALIDATION; } });
Object.defineProperty(exports, "META_KEY_DISPLAYNAME", { enumerable: true, get: function () { return ctor_ensure_decorator_2.META_KEY_DISPLAYNAME; } });
var description_template_factory_1 = require("./description-template.factory");
Object.defineProperty(exports, "registerTemplateFunction", { enumerable: true, get: function () { return description_template_factory_1.registerTemplateFunction; } });
Object.defineProperty(exports, "getRegisteredTemplateFunctions", { enumerable: true, get: function () { return description_template_factory_1.getRegisteredTemplateFunctions; } });
Object.defineProperty(exports, "template", { enumerable: true, get: function () { return description_template_factory_1.template; } });
var util_1 = require("./util");
Object.defineProperty(exports, "strOpt", { enumerable: true, get: function () { return util_1.strOpt; } });
Object.defineProperty(exports, "pluralize", { enumerable: true, get: function () { return util_1.pluralize; } });
Object.defineProperty(exports, "evalStrThunk", { enumerable: true, get: function () { return util_1.evalStrThunk; } });
var ctor_validator_1 = require("./ctor-validator");
Object.defineProperty(exports, "validateCtor", { enumerable: true, get: function () { return (0, tslib_1.__importDefault)(ctor_validator_1).default; } });
//# sourceMappingURL=index.js.map